CIRCUIT DESCRIPTION
; values for AC calculations:
;    DEGREES, RADIANS, COMPLEX; default: degrees
ELEMENTS
  E1, 1-2 = (10,4), COMPLEX   ; parte real 10, parte imaginaria 4 
  E2, 2-3 = (10,4) ; magnitud 10 , grados 4
  L1, 1-3 = 10000 
DEFINED PARAMETERS
; complex parameters begin with W; real ones with P
; complex parameters cannot appear at right of an equal sign 
  W1 = X1(E1)
;  WD2 = XDSIN(DSIN(E1)) ; argument type error in KKCALC (complex E1)
;  WD2 = XZSIN(ZSIN(E1)) ; argument type error in SIMUL8 (real (E1)
   WSIN =XSIN(SIN(E1))
   WZSIN = QSIN(E1)
  W10 = X100(E1*P6)
  W3 = X2(IE1 +2*IE1)
  ; todas las expresiones X.. devuelven (0,0), si la variable que recibe no es
  ;  W...
  P1 = X10(E1)
  P2 = X3(L1*2*3.14159*FREQ))
  WP2 = X30(L1*2*3.14159*FREQ)) 
  P4 = X5(L1*5)
  WP4 = X50(L1*5)
  P5 = X6(5*6*P6)
  WP5 = X60(5*6*P6)
  P6 = 47
  W6 =X1000(CMPLX(P6+10.0*1.0-10.0,10)); arguments of CMPLX: real and imag parts
  W8 = (47,10), COMPLEX
  W9 = (P6,10),DEGREES
OUTPUTS
E1, COMPLEX
E2
W1,WSIN,WZSIN
IE1, COMPLEX  ; real and imag
IL1
W3
VL1
W10
P1,P2,WP2
P4,WP4,P5,WP5
P6,W6
W8,W9
FUNCTIONS
QSIN(ZZ) = (SIN(ZZ))
RUN CONTROLS
RUN AC
INITIAL FREQUENCY = 50
FINAL FREQUENCY = 200
NUMBER FREQUENCY STEPS = 3
TYPE FREQUENCY RUN = LINEAR
END
